Raritan PX2/PX3 JSON-RPC API: webcam::WebcamManager_2_0_1 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Public Member Functions | Public Attributes | List of all members
webcam::WebcamManager_2_0_1 Interface Reference

The webcam manager interface. More...

`import"WebcamManager.idl";`

## Public Member Functions
vector< Webcam_2_0_1 > | getWebcams ()
| Retrieve all connected webcams. More...
int | getChannel (in Webcam_2_0_1 webcam, in string clientType, out Channel_1_0_1 channel)
| Returns an existing channel that is currently viewing the given webcam or creates one If the client type is unknown it's added to the list of client types. More...
vector< Channel_1_0_1 > | getChannels ()
| Returns all channels. More...
int | removeClientType (in string clientType)
| Remove a client type. More...
vector< string > | getClientTypes ()
| Get all known client types. More...
map< string, Priority > | getClientTypePriorities ()
| Get the priority of all known client types. More...
int | setClientTypePriorities (in map< string, Priority > priorities)
| Set the priority of a client type. More...
map< string, Priority > | getWebcamPriorities ()
| Get the priority of a webcam. More...
int | setWebcamPriorities (in map< string, Priority > priorities)
| Set the priority of a webcam. More...

## Public Attributes
constant int | NO_ERROR = 0
| Error codes. More...
constant int | ERR_INVALID_PARAM = 1
| Invalid parameter for an operation.

## Detailed Description

The webcam manager interface.

## Member Function Documentation

## ◆ getChannel()

int webcam::WebcamManager_2_0_1::getChannel | ( | in Webcam_2_0_1 | webcam,
|  | in string | clientType,
|  | out Channel_1_0_1 | channel
| ) |  |

Returns an existing channel that is currently viewing the given webcam or creates one If the client type is unknown it's added to the list of client types.

Note: When a new channel is created the priority of the given webcam and channel type is summed up. The result is used to determine the used overall priority.

Parameters

  webcam | webcam
  clientType | the channel client type -> getClientTypes()
  channel | Result: The channel

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM one of the parameters is invalid

## ◆ getChannels()

vector<Channel_1_0_1> webcam::WebcamManager_2_0_1::getChannels | ( |  | ) |

Returns all channels.

Note: you need to release every unneeded channel

Returns
  List of all channels

## ◆ getClientTypePriorities()

map<string, Priority> webcam::WebcamManager_2_0_1::getClientTypePriorities | ( |  | ) |

Get the priority of all known client types.

Returns
  a hash map with the key "event type ID" and the value "priority"

## ◆ getClientTypes()

vector<string> webcam::WebcamManager_2_0_1::getClientTypes | ( |  | ) |

Get all known client types.

Returns
  List of all client types

## ◆ getWebcamPriorities()

map<string, Priority> webcam::WebcamManager_2_0_1::getWebcamPriorities | ( |  | ) |

Get the priority of a webcam.

Returns
  a hash map with the key "webcam ID" and the value "priority"

## ◆ getWebcams()

vector<Webcam_2_0_1> webcam::WebcamManager_2_0_1::getWebcams | ( |  | ) |

Retrieve all connected webcams.

Returns
  List of webcams

## ◆ removeClientType()

int webcam::WebcamManager_2_0_1::removeClientType | ( | in string | clientType | ) |

Remove a client type.

Parameters

  clientType | client type

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM one of the parameters is invalid

## ◆ setClientTypePriorities()

int webcam::WebcamManager_2_0_1::setClientTypePriorities | ( | in map< string, Priority > | priorities | ) |

Set the priority of a client type.

Parameters

  priorities | a hash map with the key "event type ID" and the value "priority"

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM one of the parameters is invalid

## ◆ setWebcamPriorities()

int webcam::WebcamManager_2_0_1::setWebcamPriorities | ( | in map< string, Priority > | priorities | ) |

Set the priority of a webcam.

Parameters

  priorities | a hash map with the key "webcam ID" and the value "priority"

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM one of the parameters is invalid

## Member Data Documentation

## ◆ NO_ERROR

constant int webcam::WebcamManager_2_0_1::NO_ERROR = 0

Error codes.

Operation successful, no error

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/WebcamManager.idl